[DevOps] Windows 7에 ansible 이용하기 Computer Tip

지난번에 "[DevOps] Windows 10에 ansible 이용하기" 를 살펴보았습니다.
그래도 현재 가장 많이 사용하는 윈도우를 꼽으라면 윈도우7이 빠질 수 없기에
윈도우 7 버전의 32, 64 비트 가상 머신을 ansible로 연동해 보았습니다.

우선 지난번 윈도우10에서 처럼 설치를 하려고 하면,

위와 같은 오류가 발생합니다.
오류 메시지를 보니, 파워쉘 버전이 3 이상부터 지원한다고 하는군요.
(해당 솔루션을 찾느라고 이리 저리 반나절을 헤메고 다녔다는...)

그런데 해당 버전을 보니,

이런.. 2.0 이군요.

그럼 파워쉘을 업그레이드 해 볼까요?

"Windows Management Framework 3.0" 에서 다운로드 할 수 있습니다.

해당 사이트에서 "Download"를 눌러,

6.1-KB...-x86.msu 또는 6.1-KB...-x64.msu 를 다운받습니다.
(32비트 운영체제는 x86을 64비트 운영체제는 x64를 다운받아 설치합니다)

해당 업데이트를 설치하려 하면,

Accept 하고,

설치를 진행합니다.

약 일이분 지나 설치가 완료되고, 재부팅을 하라 하네요.

그러면 윈도우10 처럼 잘 설치됩니다.
(자세한 ansible과의 연동은 이전 블로그를 참조하셔요)

이제 윈도우 10 프로 32, 64, 윈도우 7 프로 32, 64 테스트 셋이 만들어 졌습니다.


어느 분께는 도움이 되셨기를 ..











핑백

덧글

댓글 입력 영역

구글애드텍스트